.PHONY: tsv_files srl_tagged_files json_files env clean

all: json_files

json_files: srl_tagged_files
	cd tools; python3 gen_json.py

srl_tagged_files: tsv_files
	# cd tools/srl-20131216; ./scripts/parse_srl_only_mod.sh; cd -
	cd tools/srl-20131216; ./tag_all.sh

tsv_files: tools/fillpred_model/model.pickle
	cd tools; python3 parse_all.py

tools/fillpred_model/model.pickle:
	cd tools/fillpred_model; $(MAKE)

env:
	cd dockerfiles; cd python-java; $(MAKE)

clean:
	rm tools/fillpred_model/model.pickle
	rm data/kres_out/* -rf